Loading...
 
Architecture / Installation

Architecture / Installation


Re: Failed upgrade to 1.9.3.1?

posts: 9305 Germany

> I'm trying to upgrade my TIKI from 1.9.1 to 1.9.3.1. I ran the 1.8 -> 1.9 DB upgrade script and received 100s of failed print operations for things like:
> *Duplicate columns
> *Unknown columns
> *Table already exists
> *Unable to drop tables
>
> I've rerun the script several times with the same results

Hi, as the name already says, the script updates from all versions 1.8.x up to 1.9.x to the most current version 1.9.3.1.

You already had 1.9.1, so many things are fixed/changed already thus throwing an error now. That are new fields for a table that already exist and more stuff like that.

Just ignore those errors. :-)

posts: 3622 United States

>
> Hi, as the name already says, the script updates from all versions 1.8.x up to 1.9.x to the most current version 1.9.3.1.
>
> You already had 1.9.1, so many things are fixed/changed already thus throwing an error now. That are new fields for a table that already exist and more stuff like that.
>
> Just ignore those errors. :-)


Not very intuitive. frown

Is there any way to make the TIKI upgrade process easier? There either needs to be an upgrade script specific to each version, or the script needs to be smart enough not to throw errors for items that have already een fixed.

Just my $0.02.

-Rick